Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 20437 - XML actions does not have assigned icons
XML actions does not have assigned icons
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: Code
3.x
PC All
: P3 (vote)
: TBD
Assigned To: Martine
issues@xml
: UI
Depends on:
Blocks: 23835 32048
  Show dependency treegraph
 
Reported: 2002-02-11 14:46 UTC by _ pkuzel
Modified: 2007-11-09 16:36 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
XML actions icons (26.56 KB, image/jpeg)
2002-05-24 13:55 UTC, _ lkramolis
Details
XML actions in editor toolbar (8.40 KB, image/jpeg)
2002-05-24 13:56 UTC, _ lkramolis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ pkuzel 2002-02-11 14:46:37 UTC
Consequently I cannot create pretty XML toolbar, because default toolbar
presenter uses action icons.
Comment 1 _ lkramolis 2002-03-04 11:31:29 UTC
DEFECT -> FEATURE.
Comment 2 _ lkramolis 2002-03-28 15:01:23 UTC
Please, create icons for XML actions.
Comment 3 _ pkuzel 2002-04-17 17:01:46 UTC
Just want to be sure that it is not ignored.
Comment 4 Bruce Lee 2002-05-02 23:09:28 UTC
Please attach a screenshot of XML actions toolbar. I need to know what 
the actions are, and the surrounding context. Icons are sometimes 
designed by contractors who do not have the NetBeans product.

Also, will these icons be present elsewhere in the IDE? On main 
toolbar, in Windows? On Tabs? in Filesystem Explorer? This will help 
make the right decisions when designing the actions. 
Comment 5 Bruce Lee 2002-05-02 23:13:05 UTC
Oops! Forgot to mention this. Please post instructions or email me 
privately about how to access the xml toolbar in the IDE. (I DO have 
Netbeans, and want to check out how these work to help contractor 
design the correct icons.)
Comment 6 _ lkramolis 2002-05-03 11:25:28 UTC
Now there is no XML Toolbar or Menu. You can just look at all
registered XML icons in Options | IDE Configuration | Look and Feel |
XML. Except 'All XML actions' and 'All DTD actions' actions should
have all actions assigned icon.

(http://xml.netbeans.org/images/screenshots/options_actions.gif)
Comment 7 _ pkuzel 2002-05-22 13:54:07 UTC
Action icon placeholders:

css/src/org/netbeans/modules/css/resources/checkStyleAction.gif
tools/src/org/netbeans/modules/xml/tools/resources/checkAction.gif
tools/src/org/netbeans/modules/xml/tools/resources/validateAction.gif
tools/src/org/netbeans/modules/xml/tools/resources/checkDTDAction.gif
tools/src/org/netbeans/modules/xsl/resources/transformAction.gif

Could you review them and commit updated versions into CVS.
  
  Thanks
Comment 8 _ lkramolis 2002-05-24 13:55:57 UTC
Created attachment 5951 [details]
XML actions icons
Comment 9 _ lkramolis 2002-05-24 13:56:57 UTC
Created attachment 5952 [details]
XML actions in editor toolbar
Comment 10 _ pkuzel 2002-06-03 12:27:11 UTC
Let these are considered while planning next release.
Comment 11 Marek Grummich 2002-07-19 16:29:48 UTC
Target milestone was changed from not determined to TBD
Comment 12 Mikhail Matveev 2007-11-09 16:35:39 UTC
Fixed long time ago
Comment 13 Mikhail Matveev 2007-11-09 16:36:30 UTC
Verified - fixed long time ago


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo